function calculer_date()
{
    document.getElementById('calculer').value="ok";
    document.editer_bloc.submit();
}


function maFonction()
{
		
		var errors = [];
		var nom_bloc = document.getElementById('nom_bloc').value;
		var duree_jours = document.getElementById('duree_jours').value;


		if(nom_bloc == "")
		{	  errors[errors.length] = "Vous devez saisir le nom du bloc.";
		  
 		}

		if(duree_jours == "")
		{	  errors[errors.length] = "Vous devez définir un nombre de jour.";
		  
 		}


		if (errors.length > 0)
		{
		  reportErrors(errors);
		  return false;
		  
		}
	        else { 
	                alert("Les modifications ont été prises en compte");
			document.getElementById('valide').value="ok";
	             }	

		function reportErrors(errors)
		{
		  var msg = "Veuillez apporter les corrections suivantes...\n";
		  for (var i = 0; i<errors.length; i++) 
		  {
			 var numError = i + 1;
 		         msg += "\n" + numError + ". " + errors[i];
		  }
		 alert(msg);
		}
		
	
}


function reportErrors(errors)
		{
		  var msg = "Veuillez apporter les corrections suivantes...\n";
		  for (var i = 0; i<errors.length; i++) 
		  {
			 var numError = i + 1;
		     msg += "\n" + numError + ". " + errors[i];
		  }
		 alert(msg);
		}


function valider(){
  
  // si la valeur du champ prenom est non vide
  if(document.form_ajouter_nom_projet.nom_projet.value != "") {
    // les données sont ok, on peut envoyer le formulaire  
    //alert("OK.");  
    return true;
  }
  else {
    // sinon on affiche un message
    alert("Le champ est vide !.");
    // et on indique de ne pas envoyer le formulaire
    return false;
  }
  
  
  
 

   //if(Check == false) history.back();
   //-->

  
}


function confirmation(){


 	verif = confirm("Voulez vous vraiment supprimer ce projet ?");
 	
 	if(verif == true)
 	  { document.getElementById('valide').value="ok";

 	  }
 	
 	if(verif == false)
 	  { document.getElementById('valide').value="stop";

 	  }	
}


function fct_effacer(obj)
{
	//alert('RAPPEL : ' + ele); 
	
/*	switch (choix)
    {
        case 1 : window.status = "avez-vous vraiment une carte bleue ?"; break;
        case 2 : window.status = "avez-vous vraiment une carte visa ?"; break;
        case 3 : window.status = "avez-vous vraiment une master card ?"; break;
        default : ;
    }*/

	
	if(obj == 'bloc')
	  {	
		verif = confirm("Voulez vous vraiment supprimer ce bloc ?");
 	  }
 	
 	if(obj == 'projet')
	  {	
		verif = confirm("Voulez vous vraiment supprimer ce projet ?");
 	  }
 	
 	if(verif == true)
 	  { document.getElementById('valide').value="ok";

 	  }
 	
 	if(verif == false)
 	  { document.getElementById('valide').value="stop";

 	  }	

} 

function fct_annuler()
{
 //alert("Redirection.");
 //window.location.replace("lister_projet.php");
 
 //window.location='http://jejavascript.net/tavutatete.php';
 
// <a href="javascript:location.replace('fichier2.htm')">fichier 2</a>
//onClick="window.history.forward()
 
	document.getElementById('valide').value="annule";
 
} 

function aaatraiter()
{
 	document.getElementById('valide').value="calculer_temps";
 	
 	// traitement en javascript
 	
 	
 	var v = document.getElementById('duree_jours').value;
 	
 	alert('RAPPEL : ' + v); 
 	//alert("coucou");
 	
 	//getDate()
 	
 	//var prenom = 'Maurice';
	//alert('Salut '+ prenom);
	
	var objet_Time = new Date()
	
	var day = objet_Time.getDate()
	
	var jour = objet_Time.getDay()

	alert('RAPPEL : ' + jour); 
	
	//XmlHTTPRequest, plus communément, xhr
 
 	//http://www.toutjavascript.com/savoir/xmlhttprequest.php3
 
} 